# 32/64 bit spec
#
Name: openttd
Version: 1.4.4
Release: %mkrel 1
Summary: An open source clone of the Microprose game "Transport Tycoon Deluxe" game
Summary(de): 	Open-Source-Variante des Spiels Transport Tycoon (Deluxe)
Group: Games/Strategy
License: GPL
URL: http://www.openttd.org
Source: http://prdownloads.sourceforge.net/openttd/%{name}-%{version}-source.tar.xz
BuildRequires:	%{_lib}png-devel
BuildRequires:	SDL-devel
BuildRequires:	zlib1-devel
BuildRequires:	freetype-devel
BuildRequires:	fontconfig-devel
BuildRequires:	%{_lib}lzo-devel
BuildRequires:	icu-devel
BuildRequires:	unzip
BuildRequires:	ccache
Requires:	TiMidity++
Requires:	openttd-opengfx
Requires:	openttd-opensfx
Requires:	openttd-openmsx
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
OpenTTD is an open source clone of the Microprose game "Transport Tycoon
Deluxe" game.

%description -l de

OpenTTD ist ein Open-Source-Klon des Spiels Transport Tycoon Deluxe 
von Microprose.
#-------------------------------------------------------------------------------

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
export LDFLAGS="%{ldflags}"

./configure \
	--prefix-dir=%{_prefix} \
	--with-ccache
%make


%install
rm -rf %{buildroot}
make INSTALL_DIR=%{buildroot} install

#cleanup
rm -rf %{buildroot}%{_datadir}/pixmaps

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
rm -Rf $RPM_BUILD_ROOT%{_datadir}/applications/openttd.desktop
cat >  $RPM_BUILD_ROOT%{_datadir}/applications/openttd.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=OpenTTD
GenericName=OpenTTD
Exec=openttd
Icon=/usr/share/icons/hicolor/32x32/apps/openttd.png
Terminal=false
StartUpNotify=true
Categories=X-MandrivaLinux-MoreApplications-Games-Strategy
EOF


%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc *.txt COPYING
%attr(0755,root,root) %{_gamesbindir}/openttd
%{_gamesdatadir}/openttd
%attr(0755,root,root) %{_datadir}/applications/openttd.desktop
%{_datadir}/icons/hicolor/*/apps/openttd.png
%{_mandir}/man6/openttd.*


%changelog
* Wed Oct 22 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.4-1pclos2014
- 1.4.4

* Mon Aug 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.2-1pclos2014
- 1.4.2

* Wed Jun 18 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.1-1pclos2014
- 1.4.1
- fix desktop file permissions

* Wed Apr 02 2014 ghostbunny <ghostbunny at gmx dot de> 1.4.0-1pclos2014
- 1.4.0

* Mon Dec 02 2013 ghostbunny <ghostbunny at gmx dot de> 1.3.3-1pclos2013
- 1.3.3

* Sat Jun 01 2013 ghostbunny <ghostbunny at gmx dot de> 1.3.1-1pclos2013
- 1.3.1

* Sat May 04 2013 ghostbunny <ghostbunny at gmx dot de> 1.3.0-1pclos2013
- 1.3.0

* Fri Nov 02 2012 Neal <nealbrks0 at gmail dot com> 1.2.3-1pclos2012
- process

* Thu Nov 01 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.3-1pclos2012
- 1.2.3

* Sun Aug 19 2012 Neal <nealbrks0 at gmail dot com> 1.2.2-1pclos2012
- process

* Sun Aug 19 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.2-1pclos2012
- 1.2.2

* Fri Jun 01 2012 Neal <nealbrks0 at gmail dot com> 1.2.1-1pclos2012
- process

* Fri Jun 01 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.1-1pclos2012
- 1.2.1
- fixed files section %doc was listed two times

* Tue May 01 2012 Neal <nealbrks0 at gmail.com> 1.2.0-1pclos2012
- add build dependency liblzma-devel
- process

* Mon Apr 30 2012 ghostbunny <ghostbunny at gmx dot de> 1.2.0-1pclos2012
- 1.2.0
- added %{_lib} macros

* Sat Jul 17 2010 maik3531 <maik3531 at yahoo.de> 1.0.2-2pclos2010
- Jason accidentally replaced existing version in dropbox. 
- why rebuild without binary openmsx, opensfx, openmsx in package
- add german description
- fix icon path

* Sat Jul 17 2010 Jason Anderson <sirius-c at iname dot com> 1.0.2-1pclos2010
- 1.0.2
- Took some information from the Mandriva specfile.



